| Home | Libraries | People | FAQ | More

##### basic_stream_socket::shutdown (2 of 2 overloads)

Inherited from basic_socket.

Disable sends or receives on the socket.

    boost::system::error_code shutdown(
        shutdown_type what,
        boost::system::error_code & ec);

This function is used to disable send operations, receive operations, or both.

###### Parameters

what

  Determines what types of operation will no longer be allowed.

ec

  Set to indicate what error occurred, if any.

###### Example

Shutting down the send side of the socket:

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::system::error_code ec;
    socket.shutdown(boost::asio::ip::tcp::socket::shutdown_send, ec);
    if (ec)
    {
      // An error occurred.
    }